%define 	module	certifi

# pypi version does not include leading zeros in the date
%define		tag 2024.02.02
%define		version %(echo %{tag} | sed -e 's/\\.0/./g')

Summary:	Python 3 package for providing Mozilla's CA Bundle
Summary(pl.UTF-8):	Pakiet Pythona 3 udostępniający bazę danych CA z Mozilli
Name:		python3-%{module}
Version:	%{version}
Release:	1%{?tld}
License:	MPL v2.0
Group:		Libraries/Python
#Source0Download: https://github.com/certifi/python-certifi/tags
Source0:	https://github.com/certifi/python-certifi/archive/%{tag}/python-certifi-%{tag}.tar.gz
# Source0-md5:	8ffe29cdb77c407a7065b362fd82aa0f
URL:		https://certifi.io/
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Certifi is a carefully curated collection of Root Certificates for
validating the trustworthiness of SSL certificates while verifying the
identity of TLS hosts. It has been extracted from the Requests
project.

%description -l pl.UTF-8
Certifi to ostrożnie utrzymywany zbiór głównych certyfikatów
potwierdzających zaufanie do certyfikatów SSL podczas weryfikacji
tożsamości hostów TLS. Pochodzi z projektu Requests.

%prep
%setup -q -n python-certifi-%{tag}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Tue Apr 23 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python3-certifi.git;a=log;h=master

* Sat Apr 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 906e945
- updated to 2024.2.2

* Sun Sep 04 2022 Jakub Bogusz <qboosh@pld-linux.org> cd59a25
- updated to 2022.6.15

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> abbd935
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c82a456
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e0c13c8
- rebuild with python 3.10

* Sun Mar 06 2022 Jakub Bogusz <qboosh@pld-linux.org> c243350
- python-certifi.spec updated to 2021.10.08 python 3.5+

* Sun Mar 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 28b7ee3
- updated to 2020.04.05.2 (last version for python2)
  (classifiers have been removed between 2020.04.05.1 and 2020.04.05.2, but .2 is still compatible with python2)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 8226490
- release 2 (by relup.sh)

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> bc472cf
- updated to 2019.11.28

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 554691f
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b3adc56
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 03 2019 Jakub Bogusz <qboosh@pld-linux.org> c77ebf4
- updated to 2018.11.29

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 141802d
- updated to 2018.11.29

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 2c9c302
- updated to 2018.4.16
- there is no tests, so remove dead option

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d1f86c
- python 3.7 rebuild
- release 2 (by relup.sh)

* Wed Aug 02 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 1dbf107
- Version: 2017.7.27.1

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> d2c23e9
- updated to 2017.1.23

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d3b5b84
- python 3.6
- release 2 (by relup.sh)

* Sun Mar 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 9275985
- updated to 2016.2.28

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8e982d7
- BR: rpmbuild(macros) >= 1.710

